Subject: bug#403 closed by Mark Hindley <[email-masked]> (Re: bug#480: Firefox - no sound)

From: "Devuan bug Tracking System" <[email-masked]>
Date: Wed, 03 Jun 2020 19:03:40 +0000

This is an automatic notification regarding your bug report
which was filed against the pulseaudio package:

#403: Pulseaudio dont autostart(Beowulf)

It has been closed by Mark Hindley <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Mark Hindley <[email-masked]> by
replying to this email.

-- 
480: https://bugs.devuan.org/cgi/bugreport.cgi?bug=480
Devuan Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#480: Firefox - no sound
From: Mark Hindley <[email-masked]>
To: Michaela Merz <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Wed, 3 Jun 2020 19:44:01 +0100

reassign 480 pulseaudio
forcemerge 276 480

On Wed, Jun 03, 2020 at 12:06:42PM -0500, Michaela Merz wrote:
>    > > [1] http://files.devuan.org/devuan_beowulf/Release_notes.txt > >
>    --00000000000000808705a7310ed4 Content-Type: text/html; charset="UTF-8"
>    Content-Transfer-Encoding: quoted-printable
> 
>    Mark:
>    Rats. I enabled autospawn in client.conf, but forgot about
> 00-disable-autospawn.conf
> 
> Confirming that firefox works with audio now. Sory to bother you :(

Thanks.

Closing

Mark

Subject: Pulseaudio dont autostart(Beowulf)
From: Ian Dupuy <[email-masked]>
To: [email-masked]
Date: Wed, 26 Feb 2020 10:50:28 -0600

package: pulseaudio
version: 12.2-4+deb10u1

After upgrading to devuan beowulf I was testing and saw that pulseaudio did
not auto-start, the temporary solutions was to put pulseaudio -D in the
autostart. Then looking for a little more I found the solution in a
reddit(comments) post:

I had this problem on Debian unstable. Look if you have a file called
> /etc/pulse/client.conf.d/00-disable-autospawn.conf. If there is a line that
> says
>
>     autospawn=no
>
> comment it out (put a semicolon in front of it), like this:
>
>     ; autospawn=no
>
> Alternatively, check if in /etc/pulse/client.conf or your home config
> directory autospawn is disabled, and change that.
>
Similarly, instead of commenting on the option, I removed it, and the
problem was solved